Subject: prolog version and books

From: "marcus" <[email-masked]>
Date: Tue, 07 Sep 1999 02:15:22 +0200

Hi All,

I'm trying to find a good beginner's book on Prolog, but first I
thought I'd ask about version differences. What do I need to look out
for since I'll be using SWI?
I would like to be able to use the book examples as is, since beginning
Prolog (again), I won't know enough to edit the examples myself so that
they will run under SWI, if they were written for another distribution.

Has anybody found a good beginners' book that works with SWI "straight
out of the bookshop", so to speak?

My main interest is linguistics, however I want to run through the
standard tower of babel type programs etc. as well, in order to get a
good overview.

Thanks,

Marcus Friedlaender

[email-masked]